ColumnCounter (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db.filter

## Class ColumnCounter

- java.lang.Object
- - org.apache.cassandra.db.filter.ColumnCounter

- Direct Known Subclasses:
    ColumnCounter.GroupByPrefix

      public class ColumnCounter
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnCounter.GroupByPrefix`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `ignored`
    `protected int` | `live`
    `protected long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnCounter(long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `count(Cell cell, DeletionInfo.InOrderTester tester)`
    `ColumnCounter` | `countAll(ColumnFamily container)`
    `int` | `ignored()`
    `protected static boolean` | `isLive(Cell cell, DeletionInfo.InOrderTester tester, long timestamp)`
    `int` | `live()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### live

          protected int live

    - #### ignored

          protected int ignored

    - #### timestamp

          protected final long timestamp

  - ### Constructor Detail

    - #### ColumnCounter

          public ColumnCounter(long timestamp)

  - ### Method Detail

    - #### count

          public void count(Cell cell,
                   DeletionInfo.InOrderTester tester)

    - #### isLive

          protected static boolean isLive(Cell cell,
                       DeletionInfo.InOrderTester tester,
                       long timestamp)

    - #### live

          public int live()

    - #### ignored

          public int ignored()

    - #### countAll

          public ColumnCounter countAll(ColumnFamily container)

Copyright © 2014 The Apache Software Foundation